Package com.google.android.exoplayer2.scheduler

## Interface RequirementsWatcher.Listener

- Enclosing class:
    RequirementsWatcher

      public static interface RequirementsWatcher.Listener

  Notified when RequirementsWatcher instance first created and on changes whether the `Requirements` are met.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onRequirementsStateChanged​(RequirementsWatcher requirementsWatcher, @com.google.android.exoplayer2.scheduler.Requirements.RequirementFlags int notMetRequirements)` | Called when there is a change on the met requirements.

- - ### Method Detail

    - #### onRequirementsStateChanged

          void onRequirementsStateChanged​(RequirementsWatcher requirementsWatcher,
                                          @RequirementFlags
                                          @com.google.android.exoplayer2.scheduler.Requirements.RequirementFlags int notMetRequirements)

      Called when there is a change on the met requirements.
      Parameters:
        `requirementsWatcher` - Calling instance.
        `notMetRequirements` - `RequirementFlags` that are not met, or 0.